Package be.ehealth.businessconnector.addressbook.service

# Interface AddressbookTokenService

All Known Implementing Classes:
  `AddressbookTokenServiceImpl`

public interface AddressbookTokenService
Interface for all Addressbook services Default impl :
invalid reference

    be.ehealth.businessconnector.AddressbookSessionServiceImpl.service.impl.AddressbookTokenServiceImpl

Factory : `TokenServiceFactory`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetOrganizationContactInfoResponse`
  `getOrganizationContactInfo(SAMLToken token, GetOrganizationContactInfoRequest request)`
  `GetProfessionalContactInfoResponse`
  `getProfessionalContactInfo(SAMLToken token, GetProfessionalContactInfoRequest request)`
  `SearchOrganizationsResponse`
  `searchOrganizations(SAMLToken token, SearchOrganizationsRequest request)`
  `SearchProfessionalsResponse`
  `searchProfessionals(SAMLToken token, SearchProfessionalsRequest request)`

- ## Method Details

  - ### getOrganizationContactInfo

    GetOrganizationContactInfoResponse getOrganizationContactInfo(SAMLToken token, GetOrganizationContactInfoRequest request) throws TechnicalConnectorException
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### getProfessionalContactInfo

    GetProfessionalContactInfoResponse getProfessionalContactInfo(SAMLToken token, GetProfessionalContactInfoRequest request) throws TechnicalConnectorException
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### searchOrganizations

    SearchOrganizationsResponse searchOrganizations(SAMLToken token, SearchOrganizationsRequest request) throws TechnicalConnectorException
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`

  - ### searchProfessionals

    SearchProfessionalsResponse searchProfessionals(SAMLToken token, SearchProfessionalsRequest request) throws TechnicalConnectorException
    Parameters:
      `token` -
      `request` -
    Returns:
    Throws:
      `TechnicalConnectorException`